<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Transition</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}

	img {
		max-width: 100%
	}

	a {
		text-decoration: none;
	}

	p {
		padding: 0;
		margin: 0;
	}

	html {
		box-sizing: border-box;
	}

	*, *:before, *:after {
		box-sizing: inherit;
	}

	.example-square-div {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 75px;
		height: 75px;
		padding: 0;
		border-radius: 3px;
		background: #e6e6e6;
		line-height: 1.2;
		text-align: center;
		color: #4d4d4d;
	}

	.g-content {
		max-width: 1200px;
		width: 100%;
		margin: 0 auto;
	}

	.example {
		width: 550px;
		padding: 10px;
		border: 1px solid #000;
		box-sizing: border-box;
	}

	.example_1 .example-square-div {
		transition-property: all;
		transition-duration: 200ms;
		transition-timing-function: ease-in-out;
		transition-delay: 0s;
	}

	.example_1:hover .example-square-div,
	.example_2:hover .example-square-div,
	.example_3:hover .example-square-div,
	.example_4:hover .example-square-div {
		transform: translateX(200px) scale(1.3333);
		background: hsl(348, 100%, 61%);
		color: #fff;
	}

	.example_2 .example-square-div {
		transition-property: all;
		transition-duration: 200ms;
		transition-timing-function: ease-in-out;
		transition-delay: 1.2s;
	}

	.example_3 .example-square-div {
		transition-property: all;
		transition-duration: 200ms;
		transition-timing-function: ease-in-out;
		transition-delay: 2400ms;
	}

	.example_4 .example-square-div {
		transition-property: all;
		transition-duration: 200ms;
		transition-timing-function: ease-in-out;
		transition-delay: -500ms;
	}

	.example_1:hover .example-square-div {
		transition-duration: 200ms;
	}

	.example_2:hover .example-square-div {
		transition-duration: 250ms;
	}

	.example_3:hover .example-square-div {
		transition-duration: 350ms;
	}

	.example_4:hover .example-square-div {
		transition-duration: 1s;
	}

</style>
<body>
<!--Пример transition-delay: ...-->
<!--Определяем сколько времени должна анимация подождать до запуска, время задается в s - секундах; ms - милисикунды -->
<div class="g-content">
	<h4>
		<code>
			transition-delay: 0s;
		</code>
		<br>
		<span>Переход будет ждать ноль секунд и, таким образом, начнется сразу.</span>
	</h4>
	<div class="example example_1">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition-delay: 1.2s;
		</code>
		<br>
		<span>С ключевым словом можно использовать десятичные значения в секундах s</span>
	</h4>
	<div class="example example_2">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition-delay: 2400ms;
		</code>
		<br>
		<span>Вы можете использовать миллисекунды вместо секунд с ключевым словом ms.</span>
	</h4>
	<div class="example example_3">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition-delay: -500ms;
		</code>
		<br>
		<span>Вы можете использовать отрицательные значения: переход начнется, как если бы он уже воспроизводился в течение 500 мс.</span>
	</h4>
	<div class="example example_4">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
</div>
</body>
</html>